Searched refs:tempdir (Results 1 - 25 of 34) sorted by relevance

12

/netbsd-current/external/gpl3/gcc.old/dist/gcc/jit/
H A Djit-tempdir.h30 /* A class to keep track of the jit::playback::context's tempdir.
32 The tempdir has the following layout:
48 class tempdir : public log_user class in namespace:gcc::jit
51 tempdir (logger *logger, int keep_intermediates);
52 ~tempdir ();
67 on-disk tempdir around after this wrapper object goes away. */
81 /* Other files within the tempdir to be cleaned up:
H A Djit-result.h32 result(logger *logger, void *dso_handle, tempdir *tempdir_);
44 tempdir *m_tempdir;
H A Djit-tempdir.c25 #include "jit-tempdir.h"
28 /* Construct a tempdir path template suitable for use by mkdtemp
66 /* The constructor for the jit::tempdir object.
67 The real work is done by the jit::tempdir::create method. */
69 gcc::jit::tempdir::tempdir (logger *logger, int keep_intermediates) function in class:gcc::jit::tempdir
81 /* Do the real work of creating the on-disk tempdir.
82 We do this here, rather than in the jit::tempdir constructor
86 gcc::jit::tempdir::create ()
96 /* Create tempdir usin
[all...]
H A Djit-result.c28 #include "jit-tempdir.h"
36 result(logger *logger, void *dso_handle, tempdir *tempdir_) :
54 /* Responsibility for cleaning up the tempdir (including "fake.so" within
H A Djit-common.h104 class tempdir;
H A Djit-playback.h291 tempdir *get_tempdir () { return m_tempdir; }
321 tempdir *m_tempdir;
/netbsd-current/external/gpl3/gcc/dist/gcc/jit/
H A Djit-tempdir.h30 /* A class to keep track of the jit::playback::context's tempdir.
32 The tempdir has the following layout:
48 class tempdir : public log_user class in namespace:gcc::jit
51 tempdir (logger *logger, int keep_intermediates);
52 ~tempdir ();
67 on-disk tempdir around after this wrapper object goes away. */
81 /* Other files within the tempdir to be cleaned up:
H A Djit-result.h42 result(logger *logger, handle dso_handle, tempdir *tempdir_);
54 tempdir *m_tempdir;
H A Djit-tempdir.cc25 #include "jit-tempdir.h"
32 /* Construct a tempdir path template suitable for use by mkdtemp
71 /* The constructor for the jit::tempdir object.
72 The real work is done by the jit::tempdir::create method. */
74 gcc::jit::tempdir::tempdir (logger *logger, int keep_intermediates) function in class:gcc::jit::tempdir
86 /* Do the real work of creating the on-disk tempdir.
87 We do this here, rather than in the jit::tempdir constructor
91 gcc::jit::tempdir::create ()
104 /* Create tempdir usin
[all...]
H A Djit-result.cc28 #include "jit-tempdir.h"
40 result(logger *logger, handle dso_handle, tempdir *tempdir_) :
61 /* Responsibility for cleaning up the tempdir (including "fake.so" within
H A Djit-common.h104 class tempdir;
H A Djit-playback.h335 tempdir *get_tempdir () { return m_tempdir; }
365 tempdir *m_tempdir;
/netbsd-current/external/gpl3/gdb.old/dist/gdb/contrib/ari/
H A Dcreate-web-ari-in-src.sh43 if [ -z "${tempdir}" ] ; then
45 tempdir=$TMP/create-ari
47 tempdir=$TEMP/create-ari
49 tempdir=/tmp/create-ari
75 ${SHELL} ${scriptpath}/update-web-ari.sh ${srcdir} ${tempdir} ${webdir} gdb
/netbsd-current/external/gpl3/gdb/dist/gdb/contrib/ari/
H A Dcreate-web-ari-in-src.sh43 if [ -z "${tempdir}" ] ; then
45 tempdir=$TMP/create-ari
47 tempdir=$TEMP/create-ari
49 tempdir=/tmp/create-ari
75 ${SHELL} ${scriptpath}/update-web-ari.sh ${srcdir} ${tempdir} ${webdir} gdb
/netbsd-current/external/gpl3/autoconf/dist/build-aux/
H A Delisp-comp63 tempdir=elc.$$
66 trap 'ret=$?; rm -rf "$tempdir" && exit $ret' 0
73 mkdir $tempdir
74 cp "$@" $tempdir
77 cd $tempdir
/netbsd-current/external/gpl2/gettext/dist/gettext-tools/gnulib-lib/
H A Dclean-temp.c79 struct tempdir struct
94 struct tempdir * volatile * volatile tempdir_list;
207 struct tempdir *dir = cleanup_list.tempdir_list[i];
251 struct tempdir * volatile *tmpdirp = NULL;
252 struct tempdir *tmpdir;
272 struct tempdir * volatile *old_array = cleanup_list.tempdir_list;
275 struct tempdir * volatile *new_array =
276 (struct tempdir * volatile *)
277 xmalloc (new_allocated * sizeof (struct tempdir * volatile));
298 free ((struct tempdir **) old_arra
[all...]
/netbsd-current/external/gpl2/gettext/dist/build-aux/
H A Delisp-comp64 tempdir=elc.$$
67 trap 'ret=$?; rm -rf "$tempdir" && exit $ret' 0
70 mkdir $tempdir
71 cp "$@" $tempdir
74 cd $tempdir
/netbsd-current/external/apache2/llvm/dist/clang/utils/analyzer/
H A Dreducer.pl4 use File::Temp qw/ tempdir /;
15 my $dir = tempdir( CLEANUP => 1 );
/netbsd-current/external/gpl2/texinfo/dist/util/
H A Dtxitextest18 tempdir=/u/texinfo/@tests/testdir
27 --t*) shift; tempdir="$1";;
37 cd $tempdir || exit 1
/netbsd-current/external/ibm-public/postfix/dist/
H A Dpostfix-install91 # .IP tempdir
263 for name in $CONFIG_PARAMS sample_directory install_root tempdir
313 rm -f $tempdir/junk || exit 1
315 cp $src $tempdir/junk || exit 1
316 test -z "$keep_build_mtime" || touch -r $src $tempdir/junk || exit 1
317 mv -f $tempdir/junk $dst || exit 1
456 : ${tempdir=`pwd`}
461 test -z "$non_interactive" && for name in install_root tempdir config_directory
626 test -d $tempdir || mkdir -p $tempdir || exi
[all...]
/netbsd-current/external/gpl3/gcc.old/dist/libgfortran/io/
H A Dunix.c1195 the directory specified by tempdir. If successful, the file name is
1200 tempfile_open (const char *tempdir, char **fname) argument
1208 if (!tempdir)
1211 /* Check for the special case that tempdir ends with a slash or
1213 size_t tempdirlen = strlen (tempdir);
1214 if (*tempdir == 0 || tempdir[tempdirlen - 1] == '/'
1216 || tempdir[tempdirlen - 1] == '\\'
1226 tempdir, slash);
1258 tempdir, slas
1301 const char *tempdir; local
[all...]
/netbsd-current/external/gpl3/gcc/dist/libgfortran/io/
H A Dunix.c1195 the directory specified by tempdir. If successful, the file name is
1200 tempfile_open (const char *tempdir, char **fname) argument
1208 if (!tempdir)
1211 /* Check for the special case that tempdir ends with a slash or
1213 size_t tempdirlen = strlen (tempdir);
1214 if (*tempdir == 0 || tempdir[tempdirlen - 1] == '/'
1216 || tempdir[tempdirlen - 1] == '\\'
1226 tempdir, slash);
1258 tempdir, slas
1301 const char *tempdir; local
[all...]
/netbsd-current/external/apache2/llvm/dist/libcxx/utils/
H A Dssh.py50 parser.add_argument('--tempdir', type=str, required=False, default='/tmp')
61 tmp = subprocess.check_output(ssh(args, 'mktemp -d {}/libcxx.XXXXXXXXXX'.format(args.tempdir)), universal_newlines=True).strip()
/netbsd-current/external/bsd/libarchive/dist/libarchive/
H A Darchive_read_disk_entry_from_file.c336 const char *name, *tempdir; local
355 tempdir = NULL;
357 tempdir = getenv("TMPDIR");
358 if (tempdir == NULL)
359 tempdir = _PATH_TMP;
361 archive_strcpy(&tempfile, tempdir);
/netbsd-current/external/bsd/kyua-cli/dist/utils/fs/
H A Doperations_test.cpp290 const std::string dir_template("tempdir.XXXXXX");
291 const fs::path tempdir = fs::mkdtemp(dir_template); local
293 ATF_REQUIRE(lookup("tmp", tempdir.leaf_name().c_str(), DT_DIR));

Completed in 186 milliseconds

12